/**
  * Die Klasse Spieler speichert die Daten eines Spielers für das Spiel Spielleitung.
  *
  * @version 1.0 vom 19.06.2012
  * @author Thomas Schaller
  */
  
public class Spieler {
  // Anfang Attribute
  private int guthaben; // Guthaben des Spielers
  private int einsatz = 0; // Betrag den der Spieler gesetzt hat
  // Ende Attribute

  /** Erzeugt einen Spieler mit einem bestimmten Startguthaben.
  * @param guthaben Startguthaben des Spielers
  */
  public Spieler(int guthaben) {
    this.guthaben = guthaben;
    this.einsatz = 0;
  }

  /** Liefert das aktuelle Guthaben des Spielers.
  * @return Guthaben des Spielers
  */
  public int getGuthaben() {
    return guthaben;
  }

  /** Setzt den Einsatz für das nächste Spiel.
  * @param betrag eingesetzter Betrag
  */
  public void setze(int betrag) {
    einsatz += betrag;
    guthaben -= betrag;
  }

  /** Rechnet den Gewinn des Spielers ab, da er gewonnen hat.
  */
  public void gewonnen() {
    guthaben += (2 * einsatz);
    einsatz = 0;
  }

  /** Da der Spieler verloren hat, ist der Einsatz verloren.
  */
  public void verloren() {
    einsatz = 0;
  }

  // Ende Methoden
} // end of Spieler
